
Redmine - Defect #5469

Migration from 0.8.x to 0.9.4 problems

2010-05-07 15:59 - Andrea Saccavini

Status: Closed Start date: 2010-05-07

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 0.9.4

Description

After performing an svn update (I have tried a checkout too), I can't perform the plugin migration.

Here is the error:

[root@paagenda redmine_test]# rake db:migrate:upgrade_plugin_migrations RAILS_ENV=production --trace

(in /var/www/redmine_test)

rake aborted!

Don't know how to build task 'db:migrate:upgrade_plugin_migrations'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1728:in `[]'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2050:in `invoke_task'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `each'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2023:in `top_level'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2001:in `run'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

/usr/local/bin/rake:19:in `load'

/usr/local/bin/rake:19

Any idea?

History

#1 - 2010-05-07 17:11 - jerry xie

- Assignee set to Jim Mulholland

#2 - 2010-05-09 12:47 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee deleted (Jim Mulholland)

- Resolution set to Cant reproduce

Can not reproduce with a fresh 0.9.4.

This rake task is defined in the engines plugin and runs fine.
